package com.ccnode.codegenerator.dom.model;

package .tmp;

import com.ccnode.codegenerator.dom.a.b;
import com.ccnode.codegenerator.dom.a.f;
import com.ccnode.codegenerator.dom.a.l;
import com.intellij.psi.PsiClass;
import com.intellij.psi.PsiField;
import com.intellij.psi.xml.XmlAttributeValue;
import com.intellij.util.xml.Attribute;
import com.intellij.util.xml.Convert;
import com.intellij.util.xml.DomElement;
import com.intellij.util.xml.GenericAttributeValue;
import org.jetbrains.annotations.NotNull;

public interface PropertyGroup extends DomElement {
  @Attribute("property")
  @Convert(l.class)
  GenericAttributeValue<XmlAttributeValue> getProperty();
  
  @Attribute("javaType")
  @Convert(b.class)
  @NotNull
  GenericAttributeValue<PsiClass> getJavaType();
  
  @Attribute("jdbcType")
  @Convert(f.class)
  @NotNull
  GenericAttributeValue<PsiField> getJdbcType();
  
  @Attribute("typeHandler")
  @Convert(b.class)
  @NotNull
  GenericAttributeValue<PsiClass> getTypeHandler();
}
